Skip to content
DocsTry Aspire
DocsTry

SendAnEmailRequest Properties

ClassProperties12 members
Represents the SendAnEmailRequest payload.
Gets or sets attachments.
public IReadOnlyList<SendAnEmailRequestAttachmentsItem>? Attachments { get; set; }
DryRunSection titled DryRunnullablebool?
Gets or sets the dry_run query parameter.
public bool? DryRun { get; set; }
Gets or sets from.
public string From { get; set; }
HeadersSection titled HeadersnullableIReadOnlyDictionary<string, JsonElement>
Gets or sets headers.
public IReadOnlyDictionary<string, JsonElement>? Headers { get; set; }
HtmlSection titled Htmlnullablestring?
Gets or sets html.
public string? Html { get; set; }
ListUnsubscribePostSection titled ListUnsubscribePostnullablebool?
Gets or sets list_unsubscribe_post.
public bool? ListUnsubscribePost { get; set; }
ListUnsubscribeUrlSection titled ListUnsubscribeUrlnullablestring?
Gets or sets list_unsubscribe_url.
public string? ListUnsubscribeUrl { get; set; }
SendAtSection titled SendAtnullableDateTimeOffset?
Gets or sets send_at.
public DateTimeOffset? SendAt { get; set; }
Gets or sets subject.
public string Subject { get; set; }
TextSection titled Textnullablestring?
Gets or sets text.
public string? Text { get; set; }
ToSection titled ToIReadOnlyList<string>
Gets or sets to.
public IReadOnlyList<string> To { get; set; }
Gets or sets unsubscribe.
public SendAnEmailRequestUnsubscribe? Unsubscribe { get; set; }